Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.plugins.support.aware
[Java] Interface GrailsApplicationAware

    public interface GrailsApplicationAware
    extends org.springframework.beans.factory.Aware

Convenience interface that can be implemented by classes that are registered by plugins.

Authors:
  Steven Devijver

See Also:
  GrailsApplication

Since:
  0.2

Method Summary
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

  This method is called by the org.springframework.context.ApplicationContext that loads the Grails application. The GrailsApplication instance that represents the loaded Grails application is injected.

  Parameters:
    `grailsApplication` - the GrailsApplication object that represents this Grails application

Groovy Documentation